# punter-cli

[![status][1]][2]
[![version][3]][4]
[![license][5]][6]

A simple command line utility for the [Email Hunter API](https://emailhunter.co/api).

## Usage

The command line interface provides two commands, `search` and `key`. Before executing a search it is advisable that you first set your [API key](](https://emailhunter.co/users/sign_up)) using the `key` command. When `key` is first run a configuration file is created in the user's home directory (`~/.punter`). Currently the only value stored is the API key. To view the current API key (if it has been set) simply run the `key` command without any arguments.

![key][7]

The `search` command takes as its argument either a domain name or valid email address, with a successful search returning raw JSON collected from the Email Hunter service. 

![key][8]



## Install

    $ pip install punter-cli

## Todo

- Add unit tests
- Output throttling 
- Options for parsing/formatting results

## License

Copyright &copy; 2015 Joshua Goodlett

Released under the [MIT License (MIT)](https://github.com/jgoodlet/punter-cli/blob/master/LICENSE)


[1]: https://img.shields.io/travis/jgoodlet/punter-cli.svg
[2]: https://travis-ci.org/jgoodlet/punter-cli.svg
[3]: https://img.shields.io/pypi/v/punter-cli.svg
[4]: https://pypi.python.org/pypi/punter-cli
[5]: https://img.shields.io/pypi/l/punter-cli.svg
[6]: https://pypi.python.org/pypi/punter-cli
[7]: assets/key.png
[8]: assets/screenshot.png